function checkData(str, pattern) {
  if (pattern.test(str)) {
    return true;
  } else {
    return false;
  }
}
/**
 * 联系电话验证
 * @param str
 * @returns
 */
export function isMobile(str) {
  return checkData(str, /^1[3456789]\d{9}$/i);
}
/**
 * 联系电话验证
 * @param str
 * @returns
 */
export function checkPhone(str) {
  return checkData(str, /^0\d{2,3}-?\d{7,8}$/);
}
/**
 * 邮箱验证
 * @param str
 * @returns
 */
export function checkEmail(str) {
  return checkData(str, /^(\w-*\.*)+@(\w-?)+(\.\w{2,})+$/);
}
